export class PDFImage {
    /**
     * Handles processing of image data and returns the Promise that is resolved
     * with a PDFImage when the image is ready to be used.
     */
    static buildImage({ xref, res, image, isInline, pdfFunctionFactory, localColorSpaceCache, }: {
        xref: any;
        res: any;
        image: any;
        isInline?: boolean | undefined;
        pdfFunctionFactory: any;
        localColorSpaceCache: any;
    }): Promise<PDFImage>;
    static createRawMask({ imgArray, width, height, imageIsFromDecodeStream, inverseDecode, interpolate, }: {
        imgArray: any;
        width: any;
        height: any;
        imageIsFromDecodeStream: any;
        inverseDecode: any;
        interpolate: any;
    }): {
        data: any;
        width: any;
        height: any;
        interpolate: any;
    };
    static createMask({ imgArray, width, height, imageIsFromDecodeStream, inverseDecode, interpolate, isOffscreenCanvasSupported, }: {
        imgArray: any;
        width: any;
        height: any;
        imageIsFromDecodeStream: any;
        inverseDecode: any;
        interpolate: any;
        isOffscreenCanvasSupported?: boolean | undefined;
    }): Promise<any>;
    constructor({ xref, res, image, isInline, smask, mask, isMask, pdfFunctionFactory, localColorSpaceCache, }: {
        xref: any;
        res: any;
        image: any;
        isInline?: boolean | undefined;
        smask?: null | undefined;
        mask?: null | undefined;
        isMask?: boolean | undefined;
        pdfFunctionFactory: any;
        localColorSpaceCache: any;
    });
    image: any;
    jpxDecoderOptions: {
        numComponents: number;
        isIndexedColormap: boolean;
        smaskInData: any;
    } | undefined;
    width: any;
    height: any;
    interpolate: any;
    imageMask: any;
    matte: any;
    bpc: any;
    colorSpace: any;
    numComps: any;
    decode: any;
    needsDecode: boolean;
    decodeCoefficients: number[] | undefined;
    decodeAddends: any[] | undefined;
    smask: any;
    mask: any;
    get drawWidth(): number;
    get drawHeight(): number;
    decodeBuffer(buffer: any): void;
    getComponents(buffer: any): any;
    fillOpacity(rgbaBuf: any, width: any, height: any, actualHeight: any, image: any): Promise<void>;
    undoPreblend(buffer: any, width: any, height: any): void;
    createImageData(forceRGBA?: boolean, isOffscreenCanvasSupported?: boolean): Promise<any>;
    fillGrayBuffer(buffer: any): Promise<void>;
    createBitmap(kind: any, width: any, height: any, src: any): {
        data: null;
        width: any;
        height: any;
        bitmap: ImageBitmap;
        interpolate: any;
    };
    getImageBytes(length: any, { drawWidth, drawHeight, forceRGBA, forceRGB, internal, }: {
        drawWidth: any;
        drawHeight: any;
        forceRGBA?: boolean | undefined;
        forceRGB?: boolean | undefined;
        internal?: boolean | undefined;
    }): Promise<any>;
    #private;
}
